Dev.to

List Dev.to communities

List the communities that run on Dev.to.

GET/v1/dev-to/communities
1credit
x-api-keystringheader

API key (`sfk_...`)

Response fields
13

Endpoint-specific response payload.

All public communities.

datacommunities[]id
integernullable

Numeric community id.

datacommunities[]name
string

Community name.

datacommunities[]domain
string

Community domain, e.g. `dev.to`.

datacommunities[]description
stringnullable

What the community is for.

datacommunities[]isRoot
booleannullable

Whether this is the root community.

datacommunities[]logoUrl
stringnullable

Logo URL.

datacommunities[]coverImageUrl
stringnullable

Cover image URL.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/dev-to/communities" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Community list.